2008-09-02  Francois-Xavier Kowalski  <fix@hp.com>

	* gtk/Makefile.am (INCLUDES): 1.6
	  Deprecated automake  directive INCLUDES  does not work  within a
	  conditionnal.

2008-08-22 Francois-Xavier Kowalski <fix@hp.com>

	* mediastreamer2/src/Makefile.am (libmediastreamer_la_SOURCES+): 1.27
	  Deliver swscale.h  in case ffmpeg does not  come with libswscale
	  (in   which  case   the   swscale  feature   is  included   into
	  libavcodec).  Also deliver ffmpeg-priv.h wrapper.
	
	* mediastreamer2/src/videoout.c: 1.39 
	* mediastreamer2/src/videodec.c: 1.24 
	* mediastreamer2/src/sizeconv.c: 1.14 
	* mediastreamer2/src/pixconv.c: 1.13 
	* mediastreamer2/src/nowebcam.c: 1.15
	  Use ffmpeg-priv,h

	* mediastreamer2/mediastreamer-config.h.in: 1.13
	  Remove from CVSm as it is generated by autoheader

	* mediastreamer2/configure.ac: 1.47 
	  Use pkg-config to check for arts

	* mediastreamer2/acinclude.m4: 1.12 
	  Remove -I/usr/include  and -L/usr/lib(64) from  CFLAGS and LIBS.
	  Check  for  ffmpeg  swscale  feature  into  libavcodec  or  into
	  libswscale

2007-09-26 Francois-Xavier Kowalski <fix@hp.com>

	* m4/exosip.m4: 1.3
	  make Linphone buildable with  the eXosip/osip version that ships
	  with Fedora.

	* oRTP/include/ortp/stun_udp.h: 1.9 
	* mediastreamer2/include/mediastreamer2/msvideo.h: 1.7 
	* mediastreamer2/include/mediastreamer2/msticker.h: 1.6 
	* mediastreamer2/include/mediastreamer2/msqueue.h: 1.3
	  Clean ANSI/C vs. ANSI/C++ differences

2007-08-01 Sandro Santilli <strk@keybit.net>

	* console/commands.c: Clean up commands 'nat', 'stun'
	  and 'firewall' to be more intuitive.

2007-02-03  Francois-Xavier Kowalski  <fix@hp.com>

	* m4/osip.m4 (OSIP_CFLAGS): 1.2 
	* gnome/Makefile.am (linphone_applet_LDADD): 1.33 
	* coreapi/Makefile.am (liblinphone_la_CFLAGS): 1.38 
	* console/Makefile.am (sipomatic_LDADD): 1.45 
	  Cope with  osip2-2.2.2 delivered as  legacy on FC6.   New option
	  "--with-osip-version"

2007-01-18 Francois-Xavier Kowalski <fix@hp.com>

	* oRTP/Makefile.am: 1.24 
	* mediastreamer2/Makefile.am: 1.30 
	* Makefile.am: 1.45
	  Fix     RPM     package     generattion     to     cope     with
	  <https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=206841>

2007-01-17  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/gettext.m4: Upgrade to gettext-0.16.1.
	* m4/lib-link.m4: Upgrade to gettext-0.16.1.
	* m4/lib-prefix.m4: Upgrade to gettext-0.16.1.
	* m4/nls.m4: Upgrade to gettext-0.16.1.
	* m4/po.m4: Upgrade to gettext-0.16.1.
	* m4/codeset.m4: Upgrade to gettext-0.16.1.
	* m4/intl.m4: New file, from gettext-0.16.1.
	* m4/intldir.m4: New file, from gettext-0.16.1.
	* m4/intmax.m4: Upgrade to gettext-0.16.1.
	* m4/inttypes_h.m4: Upgrade to gettext-0.16.1.
	* m4/inttypes-pri.m4: Upgrade to gettext-0.16.1.
	* m4/lock.m4: New file, from gettext-0.16.1.
	* m4/longdouble.m4: Upgrade to gettext-0.16.1.
	* m4/longlong.m4: Upgrade to gettext-0.16.1.
	* m4/size_max.m4: Upgrade to gettext-0.16.1.
	* m4/stdint_h.m4: Upgrade to gettext-0.16.1.
	* m4/ulonglong.m4: Upgrade to gettext-0.16.1.
	* m4/visibility.m4: New file, from gettext-0.16.1.
	* m4/Makefile.am (EXTRA_DIST): Add the new files.

2006-10-18 Sandro Santilli <strk@keybit.net>

	* console/Makefile.am: set osip includes last in the
	  search path.

2006-09-19  Francois-Xavier Kowalski  <fix@hp.com>

	* linphone.spec.in (BuildRequires): 1.8 
	  Add  RPM  build-time   dependency  on  gettext-devel  to  define
	  AM_GNU_GETTEXT. 

2006-07-26 Sandro Santilli <strk@keybit.net>

	* .cvsignore, developer-docs/mediastreamer/.cvsignore,
	 ipkg/.cvsignore, mediastreamer2/.cvsignore,
	 mediastreamer2/build/.cvsignore,
	 mediastreamer2/build/win32native/.cvsignore,
	 mediastreamer2/include/.cvsignore,
	 mediastreamer2/include/mediastreamer2/.cvsignore,
	 mediastreamer2/plugins/.cvsignore,
	 mediastreamer2/src/.cvsignore,
	 mediastreamer2/tests/.cvsignore,
	 oRTP/build/win32/.cvsignore,
	 oRTP/build/win32native/.cvsignore,
	 oRTP/src/tests/win_receiver/.cvsignore,
	 oRTP/src/tests/win_sender/.cvsignore,
	 po/.cvsignore, share/cs/.cvsignore:
	Added-fixed .cvsignore files

2006-07-20  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/codeset.m4: New file, from gettext-0.14.6.
	* m4/gettext.m4: New file, from gettext-0.14.6.
	* m4/glibc2.m4: New file, from gettext-0.14.6.
	* m4/glibc21.m4: New file, from gettext-0.14.6.
	* m4/iconv.m4: New file, from gettext-0.14.6.
	* m4/intdiv0.m4: New file, from gettext-0.14.6.
	* m4/intmax.m4: New file, from gettext-0.14.6.
	* m4/inttypes.m4: New file, from gettext-0.14.6.
	* m4/inttypes_h.m4: New file, from gettext-0.14.6.
	* m4/inttypes-pri.m4: New file, from gettext-0.14.6.
	* m4/isc-posix.m4: New file, from gettext-0.14.6.
	* m4/lcmessage.m4: New file, from gettext-0.14.6.
	* m4/lib-ld.m4: New file, from gettext-0.14.6.
	* m4/lib-link.m4: New file, from gettext-0.14.6.
	* m4/lib-prefix.m4: New file, from gettext-0.14.6.
	* m4/longdouble.m4: New file, from gettext-0.14.6.
	* m4/longlong.m4: New file, from gettext-0.14.6.
	* m4/nls.m4: New file, from gettext-0.14.6.
	* m4/po.m4: New file, from gettext-0.14.6.
	* m4/printf-posix.m4: New file, from gettext-0.14.6.
	* m4/progtest.m4: New file, from gettext-0.14.6.
	* m4/signed.m4: New file, from gettext-0.14.6.
	* m4/size_max.m4: New file, from gettext-0.14.6.
	* m4/stdint_h.m4: New file, from gettext-0.14.6.
	* m4/uintmax_t.m4: New file, from gettext-0.14.6.
	* m4/ulonglong.m4: New file, from gettext-0.14.6.
	* m4/wchar_t.m4: New file, from gettext-0.14.6.
	* m4/wint_t.m4: New file, from gettext-0.14.6.
	* m4/xsize.m4: New file, from gettext-0.14.6.
	* m4/Makefile.am (EXTRA_DIST): Add the new files.
	* Makefile.am (EXTRA_DIST): Add config.rpath.

2006-07-07  Francois-Xavier Kowalski  <fix@hp.com>

	* linphone.spec.in (Version): 1.7
	  Force build  of gtk-doc, as  the default choice that  comes with
	  GTK_DOC_CHECK m4 macro is "no".

2006-05-17 Francois-Xavier Kowalski <fix@hp.com>

	* configure.in: 1.179
	* configure.in: 1.178
	  Allow rpm users to use oRTP packages built from Linphone root.

May 8 2006 : Sandro Santilli <strk@keybit.net>

	* configure.in: lowered libspeex requirement to 1.1.6

undefined yet: linphone-1.4.0
	- new audio/video streaming engine (mediastreamer2) that let the following improvements:
		+ split video frame to get them smaller than MTU
		+ less video latency
		+ video supported at CIF and QCIF resolution with variable framerate.
		+ arts sound input/output
		+ improved sound latency with alsa
		+ alsa support works with dmix/dsnoop
		+ old oss drivers that don't like select and non blocking mode should finally work
		- lpc10-15 support removed (speex does better at 8kbit/s)
		- jack support unported to mediastreamer2, sorry : volunteer needed
	- video resolution and framerate set according to bandwidth constraints.
	- linphonec new "soundcard" command to list and choose sound devices.
	- new download and upload bandwidth parameters.

March 31 2006: linphone-1.3.4
	- fix linphonec bug in auto-answer mode: was terminating call after a few seconds.

March 28 2006: linphone-1.3.3
	- various FedoraCore 4 compile problem solved
	- fix video bug ('could not mmap': happening on kernel>=2.6.15 with pwc driver)
	- SIP register were not using route field (submitted patch)

March 17 2006: linphone-1.3.2
	- fix early media call problem: ack for 200ok was never sent.

March 10 2006: linphone-1.3.1
	- fix compile errors with gcc-2.95 (thanks Wolfram Gloger)

March 8 2006 : linphone-1.3.0 (SUMMARY)
	- a lots of improvements in linphonec (see strk 's Changelogs below)
	- telephone event problem with sipomatic.
	- updated cz translation.
	- fix bugs around addressbook.
	- video support with H263-1998/RFC2429 nearly clean.
	- added timeout for incoming calls

February 20 2006 : Sandro Santilli <strk@keybit.net>

	* console/commands.c: added filter support for
	command 'friend list'.

February 13 2006 : Sandro Santilli <strk@keybit.net>

	* console/linphonec.c: fixed unused variable warning.

February 02 2006 : Sandro Santilli <strk@keybit.net>
	Console:
		- Padded vtable with missing callbacks
		  (fixing a segfault on friends subscription)
		- Handled friends notify (bare version)
		- Handled text messages receive (bare version)
		- Printed message on subscription request (bare version)
		- Added 'friend list' and 'friend call' commands
		- Allowed for multiple DTMF send in a single line
		- Added status-specific callback (bare version)


January 26 2006 : Sandro Santilli <strk@keybit.net>
	- Core: fixed bug in linphone_core_set_nat_address refusing
	  to set address if use flag was off, added support
	  for NULL addr parameter to only change use flag.
	- Support: added missing GFileTest enum values
	- Console: 'nat' commands, cleanups

January 25 2006 : Sandro Santilli <strk@keybit.net>
	- Core: added request uri in proxy registration failure message
	- Console: removed the -t switch
	  (terminate on close is default behaviour)

January 20 2006 : Sandro Santilli <strk@keybit.net>
	- Console: 
	  linphonec_init() and linphonec_finish() functions.  Handled
	  SIGINT and SIGTERM to invoke linphonec_finish().  Handling of
	  auto-termination (-t) moved to linphonec_finish().  Reworked main
	  (input read) loop to not rely on 'terminate' and 'run' variable
	  (dropped). configfile_name allocated on stack using PATH_MAX
	  limit. Changed print_usage signature to allow for an exit_status
	  specification.

January 18 2006 : Sandro Santilli <strk@keybit.net>
	- Console: 
	  Command completion inhibited
	  in proxy addition and auth request prompts.  Avoided use of
	  readline's internal filename completion.

January 14 2006 : Sandro Santilli <strk@keybit.net>
	- Console: 
	  Reworked commands interface to use a table structure, used by
	  command line parser and help function.  Implemented first
	  level of completion (commands).  Added notification of
	  invalid "answer" and "terminate" commands (no incoming call,
	  no active call).  Forbidden "call" intialization when a call is
	  already active.  Cleaned up all commands, adding more feedback
	  and error checks.

January 13 2006 : Sandro Santilli <strk@keybit.net>
	- Console: 
	  Added linphonec.h. Code layout change (added comments, forward
	  decl, globals on top, copyright notices and Logs). Handled
	  out-of-memory condition on history management. Removed
	  assumption on sizeof(char).  Fixed bug in authentication
	  prompt (introduced by readline).  Added support for multiple
	  authentication requests (up to MAX_PENDING_AUTH).

January 12 2006 : Sandro Santilli <strk@keybit.net>
	- Console: 
	  Changed default configuration file to ~/.linphonerc,
	  automatically handling migration from old layout if not present
	  (use ~/.linphonec or ~/.gnome2/linphone).  Added compile-time
	  define to show identity in prompt.  Used EXIT_SUCCESS and
	  EXIT_FAILURE macros. 
	  Made readline use ~/.linphonec_history file for
	  reading/writing.  Fixed auto-call handling code.  Fixed
	  OOB write of sscanf() in linphonec_parse_command_line().
	  Simplified control flow in linphonec_main_loop().
	  Put linphonec_{initialize,finish}_readline() calls out of
	  main_loop(). Removed redundant exit(0) at end of main().
	  Fixed small leaks.

December 14 2005 : linphone-1.2.0
	- various ipv6 bugfixes (again)
	- fix po.pl file (was utf-8 but declared as iso8902)
	- enum/automatic proxy conflict solved. use "sip:7887488478" for enums, just "382884824" to go through the default proxy.
	- experimental video support progresses, compliance improved.
	- remove ilbc from source tree: it is now available as a separete plugin.
	- updated to work with lastest ffmpeg cvs
	- fix bug when answering 'busy here'; active call was closed !
	- fix Ctrl+H bug in linphonec
	- added bresilian translation
	- added swedish translation
	- uri bar improvements
	- fix a DoS attack by setting a payload type number > 127

August 24 2005  : linphone-1.1.0
	- peer to peer text chat
	- automatic sip url completion when using a default proxy: 
	  when user types 'mymother' in the url bar, linphone calls sip:mymother@[default-proxy]
	- ilbc 20 and 30 miliseconds frames support
	- support for setting a soundcard for playback and another for record
	- ipv6 bugfixes: works with ipv6 local loopback with sipomatic at least ! Needs to be tested in a real network.
	- gtk interface bugfixes
	- increase max supported sound devices (was 5).
	- automatic incoming redirections
	- experimental video support (needs special compilation procedure, see mailing lists)
	

March 27 2005 :	linphone-1.0.1
	- patch for NAT traversal (SDP connection address in SDP answer)
	- patch for writing correct port information when NAT is enabled
	- patch for always using "rport" extension to traverse NAT with
	  signalling.
	- patch for saving/restoring correct configuration of proxy:
	  "reg_register" -> "reg_sendregister" and fix for saving "expires"
	
March 21 2005 :	linphone-1.0.0
	- switch from osipua to eXosip/osip2 for improved sip functionnalities and compliance.
	- support for presence (busy, online...) for everyone in the address book (uses SUBSCRIBE/NOTIFY)
	- support for PUBLISH (presence information through sip servers)
	- support for configuring multiple proxies.
	- RTP adaptive jitter buffer ( provides lower latency )
	- RTCP coumpound messages sent periodically.
	- on demand digest authentication for INVITE and REGISTER
	- support for 183 with sdp answers.
	- add support for jackd (contributed)
	- call logging
	- arm build improved
	- cz and nl translations contributed.


January 2004 : linphone-0.12.2
	- add enum support (see RFC3241 and RFC3026) 
		Thanks to Rene Bartsch < ml at bartschnet dot de > for its usefull 
		and precious help.
	- interactive presence box (no more need to click OK to confirm)
	- update spanish translation
	- alsa interface: the user can choose precisely the pcm device to be used
		by setting the sound/alsadev parameter of the config file.
	- use 1 RTP socket instead of 2: this makes linphone NAT-friendly.

Thursday October 2 2003 : linphone-0.12.1
  - add support for personalizing rings.
  - make glib dependency optionnal (but recommended).
  - add polish translation.
  - use of libartsc to suspend arts instead of killing him.

Tuesday August 19 2003 : linphone-0.12.0
	- add support for speex/16000
	- re-enable alsa support (0.9.x)
	- few improvements on gui.
	- added spanish translation by Jesús Benítez <gnelson at inMail dot sk>

Monday April 05 2003: linphone-0.11.0
	- merge ipv6 support patch, contributed by Koichi KUNITAKE 
		< kunitake at linux-ipv6 dot org > (thanks !)
	- some improvements on graphical interface.

Friday Feb 28 2003 : linphone-0.10.1
	- add firewall friendly capability
	- compiles all well on arm-linux
	- bugfixes.

Friday Jan 24 2003 : linphone-0.10.0
	- Gnome interface ported to gnome-2
	- Unified core engine for both graphical and console interface.
	- Many bug fix and improvements in the SIP stack.
	- Japoneese translations and manual added, by Yamaguchi Yoshiya.
	- updated for speex-1.0rc1
	- ported to FreeBSD thanks to Georg Shwarz

Monday Oct 21 2002 : linphone-0.9.1
	- AMD: add support for the "received" and "rport" parameter in osipua.

Monday Oct 21 2002 : linphone-0.9.1
	- integration of the patch of Lenaic Huard that adds the ability for linphone to send
		dtmf tones through rtp (only reported to console interface).
	- following this patch, a nice keypad has been added to the graphical interface to bring
		the fonctionnality of the patch gui's users.
	- integration of the patch of Aymeric Moizard, concerning compliance with RFC3261 (new
		sip's RFC) using the new dialog_t api of libosip.
	- updated for use of speex-beta1 (speex codec)
	- osipua fix by jack@atosc.org
	 1: reject calls with 603
	 2: establishement of 1 early dialog for incoming calls.
	 3: update to libosip CVS and its new OSIP_TRACE MACROs.
	 4: fix presence handling.
	 5: fix expires header in REGISTER.


Monday Aug 26 2002: linphone-0.9.0
	- the sdp rtpmap string for alaw and mulaw codec was incorrect.

Sunday Aug 4 2002:	linphone-0.9.0pre3
	Non visible changes:
	- Linphone's internal audio architecture is ported to the new mediastreamer architecture.
	  The mediastreamer library is already present in linphone since October 29 2001 but
	  was never used at this time by the core program. Now lots of work has be done inside the
	  mediastreamer so that it is ready to be used by the core program. As a consequence, the
	  old architecture defined by the audio/ directory and the codec.c io.c files is dropped.
	  The mediastreamer architecture provides a modular framework for audio and video 
	  processing. It includes various audio and video codecs (or wrappers to third party 
	  audio and video codecs).
	Visible changes:
	- The Speex codec (http://speex.sourceforge.net) is now availlable to linphone, since it has
	  its mediastreamer wrapper. This patent-free codec provides two bitrates, the lowest 
	  being able to work with 56k dialup connections. This is a very important step, because
	  from now only the low quality LPC10 codec was availlable for such connections.
	- Thanks to Florian Winsterstein (f-win at gmx.de), a console version of linphone called
	  "linphonec" is availlable. Linphonec can be compiled without gnome.

Wednesday May 8 2002:	linphone-0.8.0
	Visible changes:
	- Updated to libosip-0.8.5, that reflects the lastest sip draft.
	- Uses the SDP parser the libosip, and uses also a modified version of its SDP negociator.
	  The MediaDesc object is removed, now osipua users have to deal with BodyHandler's, as the
	  SdpHandler that deals with sdp message generation and negociation.
	  The SDP parser and negociator can use the a=rtpmap fields, so that compliance is improved.
	- LPC10-1.5 codec has been assigned payload type 115 instead of 4 previously. This breaks
	  compatibility with older versions of linphone.
	- oRTP (the new RTP library) is used in place of the old lprtplib.
	- fix endianess problems in the audio part.
	Non visible changes (changes on libraries not currently used by linphone but used later):
	- mediastreamer has new working objects: webcam image capture, mpeg encoding and decoding
	  thanks to the libavcodec (ffmpeg) library, rtp wrapper thanks to oRTP.

Tuesday April 15 2002:	linphone-0.7.2
	- A crash in property box "apply" fixed.
	- bugfix in osipua.

Tuesday March 12 2002:	linphone-0.7.1
	- Some bug fixes by Bryan Ogawa in osipua: route, record-route, tags.

Friday March  1 2002:	linphone-0.7.0
	- Digest authentification support added by Aymeric.
	- Improvements in property box.
	- Translations in German and Italian by J.J. Sarton and A. Zanoni
	- Bugfix and improvements in the osipua stack.
	- Better handling of the registration parameters (the user can set its own address of record).
	

Thu December  6 2001
			-osipua.c: Memory allocations.
	                   fi call of from_tag_add(...,sgetcopy(ua->fromtag));
	    -utils.c: Memory allocations.
	    -CallLegs are removed automatically by the osipua layer (eg: when a transaction timed out).

Tue November 27 2001
			-Bugfix in osipua for proxy support: record-route and route header support, request-uri bug fixed.
			-New choice "outbound proxy" in the property box.
			-Fix compilation issues.


Mon October 29 2001
			-New unithreaded design of the osipua library, based on libosip-0.7.x series.
			-Asynchronous name resolution in osipua.
			-To and From tag support added.
			-Proxy support added. The user can choose between registering for a redirect server, or
				registering for a proxy server. When he choose proxy, then all requests are sent to the proxy.
			-New good looking graphical interface.
			-Mediastreamer is included, but still unused. It has a begin of gtkdoc dcocumentation.

Wed September 26 2001
			-Add registration and redirection ability in gui and osipua.
			-Critical bugs in osipua/osip fixed.
			-Display all sip error strings in appbar.
			-Documentation translated in French.

Tue  August 21 2001
			-	Add address book functionnality
			- Add ringback
			- Minor bugfixes in configure.in, src/callbacks.c
			-	Work with libosip-0.6.1

Wed August 1 2001:
			- Integration with osip sip stack. lpsiplib is no more used and abandonned. osipua provides the session level
			on top of osip.
			- added G711 codecs.
			- configuration structures and api re-written for more clarity.
			- new codec selection box
			- new sytem for codec registration
			- automatic selection of codecs regarding to network connection type.
			- add resizing ability for icon applet.


June			2001:  linphone-0.3.0
			-Nearly all code in linphone is object oriented.
			-linphone can be run as a gnome applet, or as a silent dameon, or as a normal application.
			-bugfixes in sip/sdp messages.
			-addition of a test program called sipomatic that can automatically answers to call. (for test)
			-add io_disk implementation of the audio lib. this can be used to replace the sond card by io on file system.



Tue May 15 2001:  linphone-0.2.1
			-Fix a stupid bug in the audio library.

Fri May 11 2001: linphone-0.2.0
		-add many missing features of version 0.1.0 (for the property box)
		-audio levels on the main window.
		-Sip library modified: now it uses one thread, and should be able to handle several calls in the future.
		-audio library is more performant. It is able to find itself the best blocksize (latency) by testing the driver.
		-interactive help on the property box and user manual.
		-add an icon.

linphone-0.1.0 :
		Released on april,19 2001
		Initial version.
